﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\TDA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_LARGEBOARD')
 CREATE TABLE T_TDA_LARGEBOARD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIGTEXT_TAG NCLOB,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPUBLISH BIGINT DEFAULT 0 NOT NULL,
FISINITIAL BIGINT DEFAULT 0 NOT NULL,
FTHEMECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTHEMENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_LARGEBOARD_L')
 CREATE TABLE T_TDA_LARGEBOARD_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTHEMENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DIAGRAM')
 CREATE TABLE T_TDA_DIAGRAM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCONFIGTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIGTEXT_TAG NCLOB,
FCHARTCONTROL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHARTCONTROL_TAG NCLOB,
FPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITION_TAG NCLOB,
FTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHIGH BIGINT DEFAULT 0 NOT NULL,
FWIDTH BIGINT DEFAULT 0 NOT NULL,
FXAXIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYAXIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHARTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLARGEBOARDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERXINDEX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERYINDEX NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPUBLISH BIGINT DEFAULT 0 NOT NULL,
FISINITIAL BIGINT DEFAULT 0 NOT NULL,
FDIAGRAMNUMBER BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FTHEMECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTHEMENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSORTFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSORTFIELD_TAG NCLOB,
FDATAFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTER_TAG NCLOB,
FUSERYINDEX1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERSERIES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FZINDEX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DIAGRAM_L')
 CREATE TABLE T_TDA_DIAGRAM_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERXINDEX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERYINDEX NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTHEMENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERYINDEX1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERSERIES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End D:\PDM\PDM_UPGRADE\pdm1\TDA_table.sql **/
